Group: Sound
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install ladspa_sdk
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:    Classic-analog style software synthesizer
Name:       xsynth-dssi
Version:    0.9.4
Release:    alt3_24
License:    GPLv2+
URL:        http://dssi.sourceforge.net/download.html#Xsynth-DSSI
Source0:    http://download.sf.net/dssi/%{name}-%{version}.tar.gz
Source1:    http://download.sf.net/dssi/%{name}-%{version}-RELEASE
Source2:    %{name}.desktop
# Derived from a screenshot from xsynth RHBZ#787588
Source3:    %{name}.png

BuildRequires: libalsa-devel
BuildRequires: desktop-file-utils
BuildRequires: dssi-devel
BuildRequires: gcc
BuildRequires: gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel
BuildRequires: liblo-devel

Requires:   dssi
Source44: import.info

%description
Xsynth-DSSI is a classic-analog (VCOs-VCF-VCA) style software synthesizer which
operates as a plugin for the DSSI Soft Synth Interface.  DSSI is a plugin API
for software instruments (soft synths) with user interfaces, permitting them to
be hosted in-process by audio applications.

%prep
%setup -q

cp -a %{SOURCE1} .

%build
%configure
%make_build

%install
make install DESTDIR="$RPM_BUILD_ROOT" INSTALL="install -p"

# Make a symlink for easy access
mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -s jack-dssi-host $RPM_BUILD_ROOT%{_bindir}/%{name}

# Kill .la file
rm $RPM_BUILD_ROOT%{_libdir}/dssi/%{name}.la

# Desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install                              \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
  %{SOURCE2}

# Icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -pm 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%files
%doc AUTHORS ChangeLog README TODO COPYING *-RELEASE
%{_bindir}/%{name}
%{_libdir}/dssi/%{name}/
%{_libdir}/dssi/%{name}.so
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%changelog
* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.9.4-alt3_24
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt3_23
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt2_23
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt2_22
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt2_21
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt2_20
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt2_19
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt2_18
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt2_17
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt2_16
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt2_14
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt2_13
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt2_12
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt2_11
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt2_10
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt2_9
- update to new release by fcimport

* Fri Jun 21 2013 Cronbuild Service <cronbuild@altlinux.org> 0.9.4-alt2_8
- rebuild to get rid of unmets

* Tue Mar 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.4-alt1_8
- import

